NDSummary.OnToolTipsLoaded("PHPClass:Plugin",{256:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype256\"><div class=\"CPEntry TClass Current\"><div class=\"CPName\">Plugin</div></div></div><div class=\"TTSummary\">Abstract class for plugins.&nbsp; Plugins can inherit from this class to get default configuration functionality.&nbsp; They can also override the configuration methods to do custom configuration.&nbsp; Inherits: LnBlogObject</div></div>",258:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">A short description of the plugin.</div></div>",259:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">The version number of the plugin.&nbsp; This should be in &quot;1.2.3&quot; format.</div></div>",260:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">An associative array of arrays, with the form member=&gt;settings, where member is the name of a member variable of your class and settings is an associative array of the configuration data for that member.&nbsp; This array is used by the default configuration show/save methods.</div></div>",262:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype262\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addOption(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">name,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">description,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">default,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">control</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;text&quot;</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">options</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">A short-hand way to add configuration options.&nbsp; Adds the necessary values to member_list all in one shot.</div></div>",263:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype263\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> addNoEventOption()</div><div class=\"TTSummary\">Add an option to turn off event output handlers.</div></div>",264:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype264\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> registerNoEventOutputHandler(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">target,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">function_name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Register a handler to do output in the case that &quot;no event&quot; is turned off.</div></div>",265:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype265\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> registerNoEventOutputCompleteHandler(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">target,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">function_name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Register a handler to do output in the case that &quot;no event&quot; is turned off.</div></div>",266:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype266\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> showConfig(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">page,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">csrf_token</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Displays the plugin configuration in an HTML form.&nbsp; You <b>must</b> make sure to initialize the member_list for this to work.</div></div>",267:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype267\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> updateConfig()</div><div class=\"TTSummary\">Retrieves configuration data for the plugin from an HTTP POST and stores the data in the relevant files.</div></div>",268:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype268\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getConfig()</div><div class=\"TTSummary\">Reads the configuration data for the plugin from a file and stores it in class variables.</div></div>"});