NDSummary.OnToolTipsLoaded("File:lib/Blog.php",{527:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype527\"><div class=\"CPEntry TClass Current\"><div class=\"CPModifiers\">use LnBlog\\Tasks\\AutoPublishTask; use LnBlog\\Tasks\\TaskManager; use LnBlog\\Tasks\\TaskRepository; use Psr\\Log\\LoggerInterface;</div><div class=\"CPName\">Blog</div></div></div><div class=\"TTSummary\">The &quot;master&quot; class which represents a weblog.&nbsp; Nearly all functions are performed through this object. This is the object that handles user security.</div></div>",530:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype530\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> isBlog(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">blog</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Determines whether the object represents an existing blog.</div></div>",531:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype531\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> writers(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">list</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set and return the list of users who can add posts to the blog.</div></div>",532:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype532\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private function</span> readBlogData()</div><div class=\"TTSummary\">Read and write a simple text file with the blog metadata.&nbsp; Format is key = data, each record is a single line, unrecognized keys are ignored.&nbsp; This is for internal use only.</div></div>",533:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype533\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private function</span> writeBlogData()</div><div class=\"TTSummary\">Save the blog data to disk.&nbsp; This is for internal use only.</div></div>",534:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype534\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getDay(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">year,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">month,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">day</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get all the blog entries for a particular day.</div></div>",535:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype535\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getDayCount(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">year,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">month,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">day</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the number of posts made on a given day.</div></div>",536:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype536\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getMonth(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">year,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">month</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a list of all entries for the specified month.&nbsp; If you do not specify a year and month, then the routine will try to get it from the current directory and/or URL.</div></div>",537:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype537\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getYear(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">year</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Like getMonth, except gets entries for an entire year.</div></div>",538:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype538\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getYearList()</div><div class=\"TTSummary\">Get a list of all years in the archive, sorted in reverse chronological order.</div></div>",539:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype539\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getMonthList(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">year</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a list of the months for the given year.&nbsp; If no year is given, try to extract it from the current directory/URL.</div></div>",540:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype540\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getRecentMonthList(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">nummonths</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">12</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a list of recent months, starting from the current month and going backward.&nbsp; This is essentially a wrapper around getMonthList.</div></div>",541:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype541\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getURL(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">full_uri</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">true</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the URL for the blog homepage.</div></div>",542:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype542\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> uri(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">params&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\">[]</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the URI of the designated resource.</div></div>",543:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype543\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getRecent(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">num_entries</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the most recent entries across all months and years.</div></div>",544:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype544\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getNextMax(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">num_entries</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Convenience function to get &quot;previous entries&quot;.&nbsp; Returns a list of entries starting after the the end of the blog\'s &lt;max_entires&gt; property.</div></div>",545:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype545\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getEntries(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">number&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">-1</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">offset&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Scan entries in reverse chronological order, starting at a given offset, and get a given number of them.</div></div>",546:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype546\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getEntriesByTag(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">taglist,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">limit</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">match_all</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a list of entries tagged with a given string.</div></div>",547:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype547\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getDrafts()</div><div class=\"TTSummary\">Gets all the current drafts for this blog.</div></div>",548:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype548\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getArticles(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">number&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Returns a list of all articles, in no particular order.</div></div>",549:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype549\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getArticleList(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">number&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">sticky_only&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">true</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a list of articles with title and permalink.</div></div>",550:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype550\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getEntryReplies()</div><div class=\"TTSummary\">Gets all the replies for all entries belonging to this blog, including all comments, trackbacks, and pingbacks.</div></div>",551:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype551\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getEntryComments()</div><div class=\"TTSummary\">Like getEntryReplies, but only returns BlogComments.</div></div>",552:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype552\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getEntryTrackbacks()</div><div class=\"TTSummary\">Like getEntryReplies, but only returns Trackbacks.</div></div>",553:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype553\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getEntryPingbacks()</div><div class=\"TTSummary\">Like getEntryReplies, but only returns Pingbacks.</div></div>",554:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype554\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getArticleReplies()</div><div class=\"TTSummary\">Like getEntryReplies, but returns the replies for all Articles, instead of for all BlogEntries.</div></div>",555:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype555\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getArticleComments()</div><div class=\"TTSummary\">Like getArticleReplies, but only returns BlogComments.</div></div>",556:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype556\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getArticleTrackbacks()</div><div class=\"TTSummary\">Like getArticleReplies, but only returns Trackbacks.</div></div>",557:"<div class=\"NDToolTip TFunction LPHP\"><div class=\"TTSummary\">Like getArticleReplies, but only returns Pingbacks.</div></div>",558:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype558\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getReplies()</div><div class=\"TTSummary\">Like getEntryReplies and getArticleReplies, but combines both, returning an array of <b>all</b> replies for this blog.</div></div>",559:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype559\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getComments()</div><div class=\"TTSummary\">Like getReplies, but only for comments.</div></div>",560:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype560\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getTrackbacks()</div><div class=\"TTSummary\">Like getReplies, but only for trackbacks.</div></div>",561:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype561\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getPingbacks()</div><div class=\"TTSummary\">Like getReplies, but only for pingbacks.</div></div>",562:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype562\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> autoPingbackEnabled()</div><div class=\"TTSummary\">Determine if pingbacks are on by default.</div></div>",563:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype563\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getAttachments()</div><div class=\"TTSummary\">Get a list of files attached to this blog.</div></div>",564:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype564\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addAttachment(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">path,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">name&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">\'\'</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Add an attached file to the blog.</div></div>",565:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype565\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> removeAttachment(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Remove a file that is attached to the blog.</div></div>",566:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype566\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getManagedFiles()</div><div class=\"TTSummary\">Get a list of system files that are managed by the blog and are therefore excluded from uploads.</div></div>",567:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype567\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> exportVars(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">&amp;$</td><td class=\"PName last\">tpl</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Export blog variables to a PHPTemplate class.&nbsp; This is for internal use only.</div></div>",568:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype568\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> upgradeWrappers ()</div><div class=\"TTSummary\">This is an upgrade function that will create new config and wrapper scripts to upgrade a directory of blog data to the current version.&nbsp; The data files will only be modified if required.&nbsp; Copies of the old</div></div>",569:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype569\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> fixDirectoryPermissions(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">start_dir</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">A quick utility function to fix the borked permissions from not setting the correct umask when creating directories.&nbsp; This resulted in directories that I couldn\'t alter via FTP.</div></div>",570:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype570\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> insert(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">path</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Creates a new weblog.</div></div>",571:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype571\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> update()</div><div class=\"TTSummary\">Modify an existing weblog.</div></div>",572:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype572\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function delete</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">keep_history&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Removes an existing weblog.</div></div>",573:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype573\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> updateTagList(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">tags</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds any new tags to the list of tags used in the current blog.</div></div>"});