NDSummary.OnToolTipsLoaded("File:lib/Entry.php",{428:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype428\"><div class=\"CPEntry TClass Current\"><div class=\"CPModifiers\"><span class=\"SHKeyword\">abstract</span></div><div class=\"CPName\">Entry</div></div></div><div class=\"TTSummary\">An abstract class representing entries of all types in the blog database.</div></div>",430:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">The path to the file that holds data for this entry.&nbsp; Note that this is specific to filesystem storage and is for internal use only.</div></div>",431:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">Holds the type of markup used in the data property.&nbsp; This can be one of several defined constants, includine MARKUP_NONE, MARKUP_BBCODE, and MARKUP_HTML.</div></div>",432:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">An array of custom fields for the entry, with keys being the field name for use in the data structure and configuration files and the value being a short description to display to the user.</div></div>",433:"<div class=\"NDToolTip TProperty LPHP\"><div class=\"TTSummary\">An array of property-&gt;var pairs.&nbsp; These are the object member variable names and the data file variable names respectively.&nbsp; They are used to retreive data from persistent storage.</div></div>",435:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype435\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">protected function</span> localpath()</div><div class=\"TTSummary\">Get the path to this entry\'s directory on the local filesystem.&nbsp; Note that this is specific to file-based storage and so should only be called internally.</div></div>",436:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype436\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> title(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">no_escape</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">An RSS compatibility method for getting the title of an entry.</div></div>",437:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype437\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> description()</div><div class=\"TTSummary\">An RSS compatibility method.&nbsp; Like title, but for the main text of the item.</div></div>",438:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype438\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> data(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">value</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the data property.&nbsp; If the optional value parameter is set to a true value (i.e. a non-empty string), then this value is set to the data property.&nbsp; Otherwise, the data property is returned.</div></div>",439:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype439\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> tags(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">list</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return an array of tags for this entry.&nbsp; Each tag is an arbitrary string entered by the user with no inherent meaning.</div></div>",440:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype440\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> permalink()</div><div class=\"TTSummary\">Abstract function that returns the object\'s permalink.&nbsp; Child classes <b>must</b> over-ride this.</div></div>",441:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype441\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getParent()</div><div class=\"TTSummary\">Abstract function to return the parent object of the current object.&nbsp; This will be a Blog object for BlogEntry or Article objects, and a BlogEntry or Article for BlogComment or TrackBack objects.&nbsp; Child classes <b>must</b> over-ride this method.</div></div>",442:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype442\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> markup(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">data</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHString\">&quot;&quot;</span>,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">use_nofollow</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Apply appropriate markup to the entry data.</div></div>",443:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype443\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> getAbstract(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">numchars</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">500</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">A quick function to get a plain text abstract of the entry data by grabbing the first paragraph of text or the first N characters, whichever comes first.&nbsp; Markup is removed in the process.&nbsp; Note that it attempts to do word wrapping to avoid cutting words off in the middle.</div></div>",444:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype444\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getSummary()</div><div class=\"TTSummary\">Gets a summary of the entry.&nbsp; Returns the <b>abstract</b> property if it is set or the first HTML paragraph otherwise.</div></div>",445:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype445\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> prettyDate(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">ts</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get a human-readable date from a timestamp.</div></div>",446:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype446\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> readFileData()</div><div class=\"TTSummary\">Reads entry data from a file.&nbsp; As of verions 0.8.2, data is stored in XML format, with the elements corresponding directly to class properties.</div></div>",447:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype447\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> writeFileData()</div><div class=\"TTSummary\">Write entry data to a file.&nbsp; The contents of the file are determined by the properties of the object and the contents of the metadata_fields and custom_fields properties, just as with readFileData.&nbsp; This function writes the metadata to HTML comments, as mentioned above, while the body data is written at the end of the file.&nbsp; Note that, in order for the file to be written, the file property of the object must be set.</div></div>",448:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype448\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> uri(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">type,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">params&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\">[]</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the URI of the designated resource.</div></div>"});