NDSummary.OnToolTipsLoaded("File:lib/EventRegister.php",{399:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype399\"><div class=\"CPEntry TClass Current\"><div class=\"CPName\">EventRegister</div></div></div><div class=\"TTSummary\">Handles registering events and calling the event handlers.&nbsp; The event register is a hierarchical list with the following format: Raising class -&gt; Event -&gt; Catching class -&gt; Callback type -&gt; Function The first three elements should be self explanatory, as should the function name.&nbsp; The callback type, however, represents how the function will be called.&nbsp; The valid types are &quot;instance&quot; and &quot;static&quot;, the difference being that an instance of the class is not created for &quot;static&quot; callbacks.</div></div>",401:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype401\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> isEvent(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">raising_class,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Check if an event exists.</div></div>",402:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype402\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> hasHandlers(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">raising_class,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Check if a given event has any handlers registered.</div></div>",403:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype403\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> addEvent(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">raising_class,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">name</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Creates a new event.</div></div>",404:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype404\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> addHandler(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">raising_class,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">name,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">&amp;$</td><td class=\"PName\">catching_class,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">handler,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">static</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds a handler function to an event.&nbsp; If the event does not already exist, then it is created.</div></div>",405:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype405\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> activateEventFull(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">param,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">raisecls,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">event,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">data</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Raises an arbitrary event for the given class.</div></div>",406:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype406\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">function</span> activateEvent(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">&amp;$</td><td class=\"PName\">raiser,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">event,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">params</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Activates an event for the raising object.</div></div>"});