NDSummary.OnToolTipsLoaded("File:lib/FS.php",{364:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype364\"><div class=\"CPEntry TClass Current\"><div class=\"CPModifiers\"><span class=\"SHKeyword\">abstract</span></div><div class=\"CPName\">FS</div></div></div><div class=\"TTSummary\">An abstract class for writing to the filesystem.&nbsp; We use this to access the concrete subclasses for native filesystem and FTP access.&nbsp; Maybe one day there will be some other useful method for filesystem access....</div></div>",366:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype366\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public abstract function</span> getcwd()</div><div class=\"TTSummary\">Get the working directory for the class.</div></div>",367:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype367\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getcwdLocal()</div><div class=\"TTSummary\">Wrapper around native getcwd() function.&nbsp; This is always the local current directory, regardless of the filesystem driver.</div></div>",368:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype368\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> chdir(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dir</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Change working directory</div></div>",369:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype369\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> mkdir(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">dir,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mode</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0777</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Create a new directory.&nbsp; For this function, the immediate parent directory must exist</div></div>",370:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype370\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> mkdir_rec(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">dir,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mode</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0777</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Recursive version of mkdir.&nbsp; This will create all non-existent parents of the target path.</div></div>",371:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype371\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> rmdir(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dir</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Remove an empty directory.</div></div>",372:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype372\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> rmdir_rec(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dir</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Recursive version of rmdir.&nbsp; Remove a directory and all files and directories it contains.</div></div>",373:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype373\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> chmod(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">mode</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Change permissions on a file or directory.</div></div>",374:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype374\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> directoryMode(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mode</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Gets and sets the permissions to use when creating directories.</div></div>",375:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype375\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> scriptMode(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mode</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Gets and sets the</div></div>",376:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype376\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> defaultMode(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mode</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Gets and sets the permissions to use for other files, i.e. not directories or PHP scripts</div></div>",377:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype377\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> isScript(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Determines if a given path represents a PHP script or not.</div></div>",378:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype378\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> copy(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">src,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dest</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Copy a single file.</div></div>",379:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype379\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> rename(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">src,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dest</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Move or rename a file.</div></div>",380:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype380\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function delete</span>(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">src</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Delete a single file.</div></div>",381:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype381\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public abstract function</span> write_file(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">contents</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Write a string to a new text file.</div></div>",382:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype382\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> copy_rec(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">src,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dest</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Recursively copy a directory.&nbsp; If called on a file, it will just copy the file.</div></div>",383:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype383\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> read_file(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Read a file from disk.</div></div>",384:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype384\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> readfile(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native readfile() function.</div></div>",385:"<div class=\"NDToolTip TFunction LPHP\"><div class=\"TTSummary\">Wrapper around the native echo statement.</div></div>",386:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype386\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> is_dir(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native is_dir() function.</div></div>",387:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype387\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> is_file(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native is_file() method</div></div>",388:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype388\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> is_uploaded_file(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native is_uploaded_file() function.</div></div>",389:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype389\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> file_exists(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native file_exists() function.</div></div>",390:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype390\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> scandir(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">directory,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">sorting_order&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\">SCANDIR_SORT_ASCENDING</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wraper around native scandir() function.</div></div>",391:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype391\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> scan_directory(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">path,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">dirs_only</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Does essentially the same thing as scandir on PHP 5.&nbsp; Gets all the entries in the given directory.</div></div>",392:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype392\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> glob(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">expression,</td><td></td><td class=\"last\"></td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">flags&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHNumber\">0</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Does a shell wildcard glob and returns the results.</div></div>",393:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype393\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> filesize(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native filesize() function.</div></div>",394:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype394\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> filemtime(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native filemtime function.</div></div>",395:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype395\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> file(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native file function.</div></div>",396:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype396\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> realpath(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native realpath function.</div></div>",397:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype397\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> is_link(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">path</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native is_link function.</div></div>",398:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype398\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> symlink(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">src,</td></tr><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">dest</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Wrapper around native symlink function.</div></div>"});