NDSummary.OnToolTipsLoaded("File:lib/User.php",{152:"<div class=\"NDToolTip TClass LPHP\"><div class=\"NDClassPrototype\" id=\"NDClassPrototype152\"><div class=\"CPEntry TClass Current\"><div class=\"CPName\">User</div></div></div><div class=\"TTSummary\">Class to manipulate and authenticate users.&nbsp; All details of user management, including checking authentication, should be done through this class.</div></div>",154:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype154\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> exists(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">uname</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Determines if the object represents an existing, registered user.</div></div>",155:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype155\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> profileUrl(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">url&nbsp;</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">null</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Get the URL to the user\'s profile page.</div></div>",156:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype156\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> getProfileUrl()</div><div class=\"TTSummary\">Get the configured or default URL for the user\'s profile.</div></div>",157:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype157\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> exportVars(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">tpl</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Convenience function to export relevant user data to a template.&nbsp; Sets the username, full name, e-mail, homepage, and display name in template variables USER_ID, USER_NAME, USER_EMAIL, USER_HOMEPAGE, and USER_DISPLAY_NAME respectively.</div></div>",158:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype158\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">private function</span> checkPassword(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">pass</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Checks if a password is valid for the current user.</div></div>",159:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype159\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> createPasswordReset()</div><div class=\"TTSummary\">Create a passoword reset code for the user.</div></div>",160:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype160\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> verifyPasswordReset(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">code</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Checks that a supplied password reset code is valid.</div></div>",161:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype161\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> invalidatePasswordReset(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">code</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Deletes the record of a particular password reset code.&nbsp; This is intended to be called after a code is used successfully.</div></div>",162:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype162\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> save()</div><div class=\"TTSummary\">Save changes to user data.</div></div>",163:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype163\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> password(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">pwd</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the user\'s password&gt;</div></div>",164:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype164\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> username(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">uid</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the username.</div></div>",165:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype165\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> name(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">nm</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the user\'s long name.</div></div>",166:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype166\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> displayName()</div><div class=\"TTSummary\">Returns a name to display.&nbsp; If a full name is defined, it uses that.&nbsp; Otherwise, it reverts to the username.</div></div>",167:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype167\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> email(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">mail</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the user\'s e-mail address.</div></div>",168:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype168\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> homepage(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">url</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Set or return the user\'s homepage.</div></div>",169:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype169\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> addToGroup(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">groupname</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Adds the user to the specified group.</div></div>",170:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype170\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> login(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">pwd</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Logs the user in.&nbsp; Note that there are two login methods available, with the one used being determined by the AUTH_USE_SESSION configuration constant.</div></div>",171:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype171\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> logout()</div><div class=\"TTSummary\">Logs the user out and destroys login tokens.&nbsp; Note that this is also subject to AUTH_USE_SESSION</div></div>",172:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype172\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> checkLogin(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName\">uname</td><td class=\"PDefaultValueSeparator\">=&nbsp;</td><td class=\"PDefaultValue last\"><span class=\"SHKeyword\">false</span></td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Checks tokens to determine if the user is logged in.</div></div>",173:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype173\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">public function</span> isAdministrator()</div><div class=\"TTSummary\">Determines if the user is the system administrator.</div></div>",174:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype174\" class=\"NDPrototype WideForm CStyle\"><table><tr><td class=\"PBeforeParameters\"><span class=\"SHKeyword\">public function</span> enableCookies(</td><td class=\"PParametersParentCell\"><table class=\"PParameters\"><tr><td class=\"PNamePrefix first\">$</td><td class=\"PName last\">enabled</td></tr></table></td><td class=\"PAfterParameters\">)</td></tr></table></div><div class=\"TTSummary\">Used primarily for testing, sets whether cookies actually get set.</div></div>",175:"<div class=\"NDToolTip TFunction LPHP\"><div id=\"NDPrototype175\" class=\"NDPrototype NoParameterForm\"><span class=\"SHKeyword\">private function</span> loadUserCredentials()</div><div class=\"TTSummary\">Load the user\'s password and any metadata.</div></div>"});